"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useEffect } from 'react';
import { ActionModel } from './models/ActionModel.mjs';
import { Action } from './Action.mjs';

const ActionStateContext = (props) => {
  const { isStarted, hasFailedWithError, hasSucceeded, children } = props;
  const action = ActionModel.useNew({});
  useEffect(() => {
    if (hasSucceeded) {
      void action.state.onSucceeded();
    } else if (hasFailedWithError) {
      void action.state.onFailed(hasFailedWithError);
    } else if (isStarted) {
      void action.state.onAsyncStart();
    }
  }, [isStarted, hasFailedWithError, hasSucceeded]);
  return /* @__PURE__ */ jsx(Action, { actionModel: action, children });
};

export { ActionStateContext };
//# sourceMappingURL=ActionStateContext.mjs.map
