"use client"
/* */
import { jsx, jsxs } from 'react/jsx-runtime';
import 'react';
import styles from './AlertBadge.module.scss.mjs';
import clsx from 'clsx';
import { AlertIcon } from '../AlertIcon/AlertIcon.mjs';
import { Text } from '../Text/Text.mjs';
import { ClearPropsContext } from '../ClearPropsContext/ClearPropsContext.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';

const AlertBadge = flowComponent("AlertBadge", (props) => {
  const { children, className, status = "info", ref, ...rest } = props;
  const rootClassName = clsx(styles.alertBadge, styles[status], className);
  return /* @__PURE__ */ jsx(ClearPropsContext, { children: /* @__PURE__ */ jsxs("div", { className: rootClassName, ...rest, ref, children: [
    /* @__PURE__ */ jsx(AlertIcon, { size: "s", className: styles.alertIcon, status }),
    /* @__PURE__ */ jsx(Text, { className: styles.text, children })
  ] }) });
});

export { AlertBadge, AlertBadge as default };
//# sourceMappingURL=AlertBadge.mjs.map
