"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import * as Recharts from 'recharts';
import tokens from '../../../../../../design-tokens/dist/variables.json.mjs';
import { AreaDot } from '../AreaDot/AreaDot.mjs';
import { getCategoricalColorValue } from '../../../../lib/tokens/getCategoricalColorValue.mjs';

const Area = (props) => {
  const {
    color = "sea-green",
    stackId = 1,
    fillOpacity = 1,
    onlyDots = true,
    ...rest
  } = props;
  return /* @__PURE__ */ jsx(
    Recharts.Area,
    {
      stackId,
      fillOpacity,
      ...rest,
      activeDot: onlyDots ? /* @__PURE__ */ jsx(AreaDot, { color: getCategoricalColorValue(color) }) : false,
      fill: onlyDots ? "none" : getCategoricalColorValue(color),
      stroke: onlyDots ? "none" : tokens.area["border-color"].value,
      strokeWidth: onlyDots ? void 0 : tokens.area["border-width"].value
    }
  );
};

export { Area, Area as default };
//# sourceMappingURL=Area.mjs.map
