"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import * as Recharts from 'recharts';
import tokens from '../../../../../../design-tokens/dist/variables.json.mjs';
import { AreaDot } from '../AreaDot/AreaDot.mjs';
import { getCategoricalColorValue } from '../../../../lib/tokens/getCategoricalColorValue.mjs';

const Line = (props) => {
  const { color = "sea-green", ...rest } = props;
  return /* @__PURE__ */ jsx(
    Recharts.Line,
    {
      ...rest,
      fill: getCategoricalColorValue(color),
      activeDot: /* @__PURE__ */ jsx(AreaDot, { color: getCategoricalColorValue(color) }),
      dot: false,
      stroke: getCategoricalColorValue(color),
      strokeWidth: tokens.line["border-width"].value
    }
  );
};

export { Line, Line as default };
//# sourceMappingURL=Line.mjs.map
