"use client"
/* */
import { jsx, jsxs } from 'react/jsx-runtime';
import { Children } from 'react';
import clsx from 'clsx';
import styles from './AvatarStack.module.scss.mjs';
import '../../lib/propsContext/propsContext.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { PropsContextProvider } from '../../lib/propsContext/PropsContextProvider.mjs';
import { Button } from '../Button/Button.mjs';
import { Avatar } from '../Avatar/Avatar.mjs';
import { Wrap } from '../Wrap/Wrap.mjs';

const AvatarStack = (props) => {
  const {
    className,
    children,
    totalCount = 0,
    size = "m",
    onCountPress
  } = props;
  const avatarCount = Children.count(children);
  const additionalItemsCount = totalCount - avatarCount;
  const rootClassName = clsx(
    styles.avatarStack,
    styles[`size-${size}`],
    className
  );
  const propsContext = {
    Avatar: { className: styles.avatar, size },
    Button: {
      className: styles.avatar
    }
  };
  return /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, mergeInParentContext: true, children: /* @__PURE__ */ jsxs("div", { className: rootClassName, children: [
    children,
    additionalItemsCount > 0 && /* @__PURE__ */ jsx(Wrap, { if: onCountPress, children: /* @__PURE__ */ jsx(Button, { onPress: onCountPress, children: /* @__PURE__ */ jsxs(Avatar, { size, children: [
      "+",
      additionalItemsCount
    ] }) }) })
  ] }) });
};

export { AvatarStack, AvatarStack as default };
//# sourceMappingURL=AvatarStack.mjs.map
