"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import styles from './Breadcrumb.module.scss.mjs';
import clsx from 'clsx';
import { BreadcrumbItem } from './components/BreadcrumbItem/BreadcrumbItem.mjs';
import '../../lib/propsContext/propsContext.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { PropsContextProvider } from '../../lib/propsContext/PropsContextProvider.mjs';

const Breadcrumb = (props) => {
  const { children, className, color = "primary", ...rest } = props;
  const rootClassName = clsx(styles.breadcrumb, styles[color], className);
  const propsContext = {
    Link: {
      unstyled: true,
      className: styles.link,
      wrapWith: /* @__PURE__ */ jsx(BreadcrumbItem, {})
    }
  };
  return /* @__PURE__ */ jsx(Aria.Breadcrumbs, { ...rest, className: rootClassName, children: /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, children }) });
};

export { Breadcrumb, Breadcrumb as default };
//# sourceMappingURL=Breadcrumb.mjs.map
