"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import * as Recharts from 'recharts';
import { TooltipContent } from './components/TooltipContent.mjs';

const ChartTooltip = (props) => {
  const { formatter, headingFormatter, ...rest } = props;
  return /* @__PURE__ */ jsx(
    Recharts.Tooltip,
    {
      ...rest,
      content: (props2) => {
        const {
          formatter: ignoredFormatter,
          labelFormatter: ignoredLabelFormatter,
          ...rest2
        } = props2;
        return /* @__PURE__ */ jsx(
          TooltipContent,
          {
            formatter,
            headingFormatter,
            ...rest2
          }
        );
      },
      cursor: false
    }
  );
};

export { ChartTooltip, ChartTooltip as default };
//# sourceMappingURL=ChartTooltip.mjs.map
