"use client"
/* */
import { jsxs, jsx } from 'react/jsx-runtime';
import clsx from 'clsx';
import styles$1 from '../ChartTooltip.module.scss.mjs';
import styles from '../../Popover/Popover.module.scss.mjs';
import { PopoverTip } from '../../Popover/components/PopoverTip/PopoverTip.mjs';
import { Heading } from '../../Heading/Heading.mjs';
import { LegendItem } from '../../Legend/components/LegendItem/LegendItem.mjs';

const TooltipContent = (props) => {
  const {
    active,
    payload,
    formatter,
    headingFormatter,
    label,
    wrapperClassName
  } = props;
  const className = clsx(wrapperClassName, styles.popover);
  if (active && payload && payload.length) {
    return /* @__PURE__ */ jsxs("div", { className, children: [
      /* @__PURE__ */ jsx(PopoverTip, { className: styles$1.tip }),
      /* @__PURE__ */ jsxs("div", { className: styles.content, children: [
        /* @__PURE__ */ jsx(Heading, { level: 3, children: headingFormatter && typeof label === "string" ? headingFormatter(label) : label }),
        payload.filter((i) => i.fill !== "none").map((i, index) => /* @__PURE__ */ jsx(LegendItem, { color: i.fill, children: formatter ? formatter(i.value, i.dataKey, index, i.unit) : `${i.dataKey} ${i.value}${i.unit ? ` ${i.unit}` : ""}` }, i.dataKey))
      ] })
    ] });
  }
  return null;
};

export { TooltipContent };
//# sourceMappingURL=TooltipContent.mjs.map
