"use client"
/* */
import { jsx, jsxs } from 'react/jsx-runtime';
import clsx from 'clsx';
import styles from './Chat.module.scss.mjs';
import '../../lib/propsContext/propsContext.mjs';
import 'react';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { dynamic } from '../../lib/propsContext/dynamicProps/dynamic.mjs';
import { PropsContextProvider } from '../../lib/propsContext/PropsContextProvider.mjs';
import { TunnelProvider, TunnelExit } from '@mittwald/react-tunnel';

const Chat = (props) => {
  const { height, className, children } = props;
  const rootClassName = clsx(styles.chat, className);
  const propsContext = {
    MessageThread: {
      tunnelId: "messageThread"
    },
    FileCardList: { className: styles.fileCardList, tunnelId: "fileCardList" },
    Button: {
      className: dynamic((props2) => {
        return props2.color === "accent" ? styles.accentButton : void 0;
      })
    }
  };
  return /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, mergeInParentContext: true, children: /* @__PURE__ */ jsx("div", { style: { height }, className: rootClassName, children: /* @__PURE__ */ jsxs(TunnelProvider, { children: [
    /* @__PURE__ */ jsx("div", { className: styles.messageThreadContainer, children: /* @__PURE__ */ jsx(TunnelExit, { id: "messageThread" }) }),
    /* @__PURE__ */ jsx("div", { className: styles.controls, children }),
    /* @__PURE__ */ jsx(TunnelExit, { id: "fileCardList" })
  ] }) }) });
};

export { Chat, Chat as default };
//# sourceMappingURL=Chat.mjs.map
