"use client"
/* */
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import 'react';
import '@tabler/icons-react';
import '../Icon/Icon.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { IconCheckboxChecked } from '../Icon/components/icons/IconCheckboxChecked.mjs';
import { IconCheckboxEmpty } from '../Icon/components/icons/IconCheckboxEmpty.mjs';
import { IconCheckboxIndeterminate } from '../Icon/components/icons/IconCheckboxIndeterminate.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';
import { ClearPropsContext } from '../ClearPropsContext/ClearPropsContext.mjs';
import clsx from 'clsx';
import * as Aria from 'react-aria-components';
import styles from './Checkbox.module.scss.mjs';

const Checkbox = flowComponent("Checkbox", (props) => {
  const { children, className, ref, ...rest } = props;
  const rootClassName = clsx(styles.checkbox, className);
  return /* @__PURE__ */ jsx(ClearPropsContext, { children: /* @__PURE__ */ jsx(Aria.Checkbox, { ...rest, className: rootClassName, ref, children: ({ isSelected, isIndeterminate }) => /* @__PURE__ */ jsxs(Fragment, { children: [
    isSelected ? /* @__PURE__ */ jsx(IconCheckboxChecked, { className: styles.icon }) : isIndeterminate ? /* @__PURE__ */ jsx(IconCheckboxIndeterminate, { className: styles.icon }) : /* @__PURE__ */ jsx(IconCheckboxEmpty, { className: styles.icon }),
    children
  ] }) }) });
});

export { Checkbox, Checkbox as default };
//# sourceMappingURL=Checkbox.mjs.map
