"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import styles from './CheckboxButton.module.scss.mjs';
import clsx from 'clsx';
import { ClearPropsContext } from '../ClearPropsContext/ClearPropsContext.mjs';
import '../../lib/propsContext/propsContext.mjs';
import { PropsContextProvider } from '../../lib/propsContext/PropsContextProvider.mjs';
import { Checkbox } from '../Checkbox/Checkbox.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';

const CheckboxButton = flowComponent("CheckboxButton", (props) => {
  const { children, className, ref, ...rest } = props;
  const rootClassName = clsx(styles.checkboxButton, className);
  const propsContext = {
    Text: {
      className: styles.label
    },
    Content: {
      className: styles.content
    }
  };
  return /* @__PURE__ */ jsx(ClearPropsContext, { children: /* @__PURE__ */ jsx(Checkbox, { ...rest, className: rootClassName, ref, children: /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, children }) }) });
});

export { CheckboxButton, CheckboxButton as default };
//# sourceMappingURL=CheckboxButton.mjs.map
