"use client"
/* */
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react';
import SyntaxHighlighterNative from 'react-syntax-highlighter';
import clsx from 'clsx';
import { CopyButton } from '../CopyButton/CopyButton.mjs';
import styles from './CodeBlock.module.scss.mjs';

const SyntaxHighlighter = SyntaxHighlighterNative;
const CodeBlock = (props) => {
  const { code, className, copyable, color = "default", ...rest } = props;
  const rootClassName = clsx(styles.codeBlock, styles[color], className);
  return /* @__PURE__ */ jsxs("div", { className: rootClassName, children: [
    /* @__PURE__ */ jsx(
      SyntaxHighlighter,
      {
        customStyle: {
          background: "none",
          padding: "none",
          margin: "none"
        },
        useInlineStyles: false,
        ...rest,
        children: code
      }
    ),
    copyable && /* @__PURE__ */ jsx(
      CopyButton,
      {
        className: styles.copyButton,
        size: "s",
        color: color === "default" ? "dark" : color,
        text: Array.isArray(code) ? code.join("\r\n") : code
      }
    )
  ] });
};

export { CodeBlock, CodeBlock as default };
//# sourceMappingURL=CodeBlock.mjs.map
