"use client"
/* */
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import styles from '../DonutChart.module.scss.mjs';
import { DonutChartFill } from './DonutChartFill.mjs';

const Donut = (props) => {
  const { value = 0, segments, size, maxValue } = props;
  const strokeWidth = 0.5;
  const fillWidth = size === "m" ? 8 : 12;
  const center = fillWidth * 4;
  const radius = center - fillWidth / 2;
  return /* @__PURE__ */ jsx(Fragment, { children: /* @__PURE__ */ jsxs(
    "svg",
    {
      width: center * 4,
      height: center * 4,
      viewBox: `0 0 ${center * 2} ${center * 2}`,
      fill: "none",
      strokeWidth: fillWidth,
      children: [
        /* @__PURE__ */ jsx(
          "circle",
          {
            className: styles.background,
            cx: center,
            cy: center,
            r: radius,
            strokeWidth: fillWidth
          }
        ),
        /* @__PURE__ */ jsx(
          "circle",
          {
            className: styles.border,
            cx: center,
            cy: center,
            r: center - strokeWidth / 2,
            strokeWidth
          }
        ),
        /* @__PURE__ */ jsx(
          "circle",
          {
            className: styles.border,
            cx: center,
            cy: center,
            r: center - fillWidth + strokeWidth / 2,
            strokeWidth
          }
        ),
        /* @__PURE__ */ jsx(
          DonutChartFill,
          {
            radius,
            center,
            value,
            segments,
            maxValue: maxValue ?? 100
          }
        )
      ]
    }
  ) });
};

export { Donut };
//# sourceMappingURL=Donut.mjs.map
