"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import styles from '../DonutChart.module.scss.mjs';
import { getCategoricalColorByIndex } from '../../../lib/tokens/getCategoricalColorByIndex.mjs';

const DonutChartFill = (props) => {
  const { center, value = 0, radius, segments, maxValue } = props;
  const circumference = 2 * radius * Math.PI;
  const percent = 100 / maxValue * value;
  if (!segments) {
    return /* @__PURE__ */ jsx(
      "circle",
      {
        className: styles.fill,
        cx: center,
        cy: center,
        r: radius,
        strokeDasharray: `${circumference} ${circumference}`,
        strokeDashoffset: circumference - percent / 100 * circumference,
        transform: `rotate(-90 ${center} ${center})`
      }
    );
  }
  let rotationOffset = 0;
  return segments.map((s, i) => {
    const segmentPercent = 100 / maxValue * s.value;
    const currentRotationOffset = rotationOffset;
    rotationOffset = rotationOffset + 360 / 100 * segmentPercent;
    return /* @__PURE__ */ jsx(
      "circle",
      {
        cx: center,
        cy: center,
        r: radius,
        strokeDasharray: `${circumference} ${circumference}`,
        strokeDashoffset: circumference - segmentPercent / 100 * circumference,
        stroke: `var(--color--categorical--${s.color ?? getCategoricalColorByIndex(i)})`,
        transform: `rotate(${ -90 + currentRotationOffset} ${center} ${center})`
      }
    );
  });
};

export { DonutChartFill };
//# sourceMappingURL=DonutChartFill.mjs.map
