"use client"
/* */
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import 'react';
import styles from './FieldError.module.scss.mjs';
import * as Aria from 'react-aria-components';
import clsx from 'clsx';
import { ClearPropsContext } from '../ClearPropsContext/ClearPropsContext.mjs';
import '@tabler/icons-react';
import '../Icon/Icon.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { IconDanger } from '../Icon/components/icons/IconDanger.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';

const FieldError = flowComponent("FieldError", (props) => {
  const { children, className, ref, ...rest } = props;
  const rootClassName = clsx(styles.fieldError, className);
  return /* @__PURE__ */ jsx(ClearPropsContext, { children: /* @__PURE__ */ jsx(Aria.FieldError, { ref, ...rest, className: rootClassName, children: ({ validationErrors }) => /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx(IconDanger, { size: "s" }),
    /* @__PURE__ */ jsx("span", { children: children ? children : validationErrors.join(" ") })
  ] }) }) });
});

export { FieldError, FieldError as default };
//# sourceMappingURL=FieldError.mjs.map
