"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import clsx from 'clsx';
import styles from './Flex.module.scss.mjs';

const Flex = (props) => {
  const {
    children,
    className,
    direction = "row",
    align,
    justify,
    gap,
    columnGap,
    rowGap,
    grow,
    wrap = "nowrap",
    padding,
    paddingTop,
    paddingBottom,
    paddingLeft,
    paddingRight,
    elementType = "div"
  } = props;
  const rootClassName = clsx(styles.flex, className);
  const Element = elementType;
  return /* @__PURE__ */ jsx(
    Element,
    {
      className: rootClassName,
      style: {
        flexDirection: direction,
        alignItems: align === "end" ? "flex-end" : align === "start" ? "flex-start" : align,
        justifyContent: justify === "end" ? "flex-end" : justify === "start" ? "flex-start" : justify,
        columnGap: columnGap ? `var(--size-px--${columnGap})` : gap ? `var(--size-px--${gap})` : void 0,
        rowGap: rowGap ? `var(--size-px--${rowGap})` : gap ? `var(--size-px--${gap})` : void 0,
        flexGrow: grow ? 1 : void 0,
        flexWrap: wrap,
        paddingTop: paddingTop ? `var(--size-px--${paddingTop})` : padding ? `var(--size-px--${padding})` : void 0,
        paddingBottom: paddingBottom ? `var(--size-px--${paddingBottom})` : padding ? `var(--size-px--${padding})` : void 0,
        paddingLeft: paddingLeft ? `var(--size-px--${paddingLeft})` : padding ? `var(--size-px--${padding})` : void 0,
        paddingRight: paddingRight ? `var(--size-px--${paddingRight})` : padding ? `var(--size-px--${padding})` : void 0
      },
      children
    }
  );
};

export { Flex, Flex as default };
//# sourceMappingURL=Flex.mjs.map
