"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import '../../lib/propsContext/propsContext.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { dynamic } from '../../lib/propsContext/dynamicProps/dynamic.mjs';
import { PropsContextProvider } from '../../lib/propsContext/PropsContextProvider.mjs';
import clsx from 'clsx';
import styles from './HeaderNavigation.module.scss.mjs';
import { Text } from '../Text/Text.mjs';

const HeaderNavigation = (props) => {
  const { children, className, color = "primary", ...rest } = props;
  const rootClassName = clsx(styles.headerNavigation, styles[color], className);
  const propsContext = {
    Link: {
      wrapWith: /* @__PURE__ */ jsx("li", {}),
      className: styles.link,
      unstyled: true,
      children: dynamic((props2) => /* @__PURE__ */ jsx(Text, { emulateBoldWidth: true, children: props2.children }))
    },
    Button: {
      className: styles.button,
      color,
      variant: "plain",
      wrapWith: /* @__PURE__ */ jsx("li", {})
    }
  };
  return /* @__PURE__ */ jsx("nav", { className: rootClassName, role: "navigation", ...rest, children: /* @__PURE__ */ jsx("ul", { children: /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, children }) }) });
};

export { HeaderNavigation, HeaderNavigation as default };
//# sourceMappingURL=HeaderNavigation.mjs.map
