"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';
import { ClearPropsContext } from '../ClearPropsContext/ClearPropsContext.mjs';
import clsx from 'clsx';
import styles from './Image.module.scss.mjs';

const Image = flowComponent("Image", (props) => {
  const {
    className,
    withBorder,
    style,
    aspectRatio,
    width,
    height,
    ref,
    ...rest
  } = props;
  const rootClassName = clsx(
    styles.image,
    withBorder && styles.border,
    aspectRatio && styles.aspectRatio,
    className
  );
  return /* @__PURE__ */ jsx(ClearPropsContext, { children: /* @__PURE__ */ jsx(
    "img",
    {
      ref,
      className: rootClassName,
      style: { ...style, aspectRatio, width, height },
      ...rest
    }
  ) });
});

export { Image, Image as default };
//# sourceMappingURL=Image.mjs.map
