"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import styles from './LabeledValue.module.scss.mjs';
import clsx from 'clsx';
import { ClearPropsContext } from '../ClearPropsContext/ClearPropsContext.mjs';
import '../../lib/propsContext/propsContext.mjs';
import { PropsContextProvider } from '../../lib/propsContext/PropsContextProvider.mjs';

const LabeledValue = (props) => {
  const { children, className } = props;
  const rootClassName = clsx(styles.labeledValue, className);
  const propsContext = {
    Label: {
      className: styles.label
    },
    CopyButton: {
      className: styles.button,
      variant: "plain",
      size: "s"
    },
    Button: {
      className: styles.button,
      variant: "plain",
      size: "s"
    },
    Link: {
      inline: true
    }
  };
  return /* @__PURE__ */ jsx(ClearPropsContext, { children: /* @__PURE__ */ jsx("div", { className: rootClassName, children: /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, children }) }) });
};

export { LabeledValue, LabeledValue as default };
//# sourceMappingURL=LabeledValue.mjs.map
