"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import styles from './LayoutCard.module.scss.mjs';
import clsx from 'clsx';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';
import '../../lib/propsContext/propsContext.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { PropsContextProvider } from '../../lib/propsContext/PropsContextProvider.mjs';

const LayoutCard = flowComponent("LayoutCard", (props) => {
  const { children, className, elementType = "div", ref, ...rest } = props;
  const rootClassName = clsx(styles.layoutCard, className);
  const Element = elementType;
  const propsContext = {
    Tabs: {
      className: styles.tabs
    },
    AccentBox: { className: styles.accentBox }
  };
  return /* @__PURE__ */ jsx(Element, { className: rootClassName, ...rest, ref, children: /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, children }) });
});

export { LayoutCard, LayoutCard as default };
//# sourceMappingURL=LayoutCard.mjs.map
