"use client"
/* */
import { jsx, Fragment, jsxs } from 'react/jsx-runtime';
import 'react';
import { useList } from '../../../../hooks/useList.mjs';
import { ContextMenu } from '../../../../../ContextMenu/ContextMenu.mjs';
import '../../../../../MenuItem/MenuItem.mjs';
import { ContextMenuTrigger } from '../../../../../ContextMenu/components/ContextMenuTrigger/ContextMenuTrigger.mjs';
import 'react-aria-components';
import '../../../../../ContextMenu/components/ContextMenuSection/ContextMenuSection.mjs';
import locales from '../../../../../../../../_virtual/_.locale.json@8d5024994f97657f895a4e2a188d2d8a.mjs';
import { Translate } from '../../../../../../lib/react/components/Translate/Translate.mjs';
import TextView from '../../../../../../views/TextView.mjs';
import ButtonView from '../../../../../../views/ButtonView.mjs';
import '@tabler/icons-react';
import '../../../../../Icon/Icon.mjs';
import '../../../../../../lib/viewComponentContext/viewComponentContext.mjs';
import { IconSorting } from '../../../../../Icon/components/icons/IconSorting.mjs';
import headerStyles from '../../Header.module.css.mjs';
import { SortingMenuItem } from './SortingMenuItem.mjs';

const SortingMenu = () => {
  const list = useList();
  const sortingItems = list.visibleSorting.map((s) => /* @__PURE__ */ jsx(SortingMenuItem, { sorting: s }, s.id));
  if (sortingItems.length === 0) {
    return null;
  }
  const labelSorting = list.visibleSorting.find((s) => s.isSorted());
  const text = /* @__PURE__ */ jsx(TextView, { children: labelSorting ? /* @__PURE__ */ jsx(Fragment, { children: labelSorting.name ?? labelSorting.property }) : /* @__PURE__ */ jsx(Translate, { locales, children: "list.sorting" }) });
  return /* @__PURE__ */ jsxs(ContextMenuTrigger, { children: [
    /* @__PURE__ */ jsxs(
      ButtonView,
      {
        variant: "outline",
        color: "secondary",
        className: headerStyles.desktop,
        children: [
          text,
          /* @__PURE__ */ jsx(IconSorting, {})
        ]
      }
    ),
    /* @__PURE__ */ jsx(
      ContextMenu,
      {
        selectionMode: "single",
        selectedKeys: labelSorting ? [labelSorting.id] : [],
        children: sortingItems
      }
    )
  ] });
};

export { SortingMenu };
//# sourceMappingURL=SortingMenu.mjs.map
