"use client"
/* */
import { jsxs, jsx } from 'react/jsx-runtime';
import locales from '../../../../../../../../_virtual/_.locale.json@8d5024994f97657f895a4e2a188d2d8a.mjs';
import { useLocalizedStringFormatter } from 'react-aria';
import 'invariant';
import 'luxon';
import 'react-aria-components';
import 'react';
import 'clsx';
import '../../../../../../lib/propsContext/propsContext.mjs';
import '../../../../../../lib/viewComponentContext/viewComponentContext.mjs';
import '@mittwald/react-tunnel';
import '../../../../../../lib/slotContext/slotContext.mjs';
import '@react-aria/utils';
import 'remeda';
import 'dot-prop';
import '@tabler/icons-react';
import '../../../../../Icon/Icon.mjs';
import { IconView } from '../../../../../Icon/components/icons/IconView.mjs';
import '../../../../../Heading/Heading.mjs';
import '../../../../../Text/Text.mjs';
import ButtonView from '../../../../../../views/ButtonView.mjs';
import { ContextMenu } from '../../../../../ContextMenu/ContextMenu.mjs';
import '../../../../../MenuItem/MenuItem.mjs';
import { ContextMenuTrigger } from '../../../../../ContextMenu/components/ContextMenuTrigger/ContextMenuTrigger.mjs';
import '../../../../../ContextMenu/components/ContextMenuSection/ContextMenuSection.mjs';
import '../../../../../ColumnLayout/ColumnLayout.mjs';
import '../../../ListSummary/ListSummary.mjs';
import { useList } from '../../../../hooks/useList.mjs';
import '../../../../List.mjs';
import TextView from '../../../../../../views/TextView.mjs';
import { ViewModeMenuItem } from './ViewModeMenuItem.mjs';
import { useAvailableViewModes } from '../../lib.mjs';
import headerStyles from '../../Header.module.css.mjs';

const ViewModeMenu = () => {
  const stringFormatter = useLocalizedStringFormatter(locales);
  const list = useList();
  const selectedViewMode = list.viewMode;
  const availableViewModes = useAvailableViewModes();
  if (availableViewModes.length <= 1) {
    return null;
  }
  return /* @__PURE__ */ jsxs(ContextMenuTrigger, { children: [
    /* @__PURE__ */ jsxs(
      ButtonView,
      {
        variant: "outline",
        color: "secondary",
        "aria-label": stringFormatter.format("list.settings"),
        className: headerStyles.desktop,
        children: [
          /* @__PURE__ */ jsx(TextView, { children: stringFormatter.format(`list.settings.viewMode.${selectedViewMode}`) }),
          /* @__PURE__ */ jsx(IconView, {})
        ]
      }
    ),
    /* @__PURE__ */ jsx(ContextMenu, { selectionMode: "single", selectedKeys: [selectedViewMode], children: availableViewModes.map((viewMode) => /* @__PURE__ */ jsx(ViewModeMenuItem, { viewMode }, viewMode)) })
  ] });
};

export { ViewModeMenu };
//# sourceMappingURL=ViewModeMenu.mjs.map
