"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import styles from './ListItemView.module.scss.mjs';
import { TunnelProvider, TunnelExit } from '@mittwald/react-tunnel';
import ListItemViewContentView from '../../../../views/ListItemViewContentView.mjs';
import '../../../../lib/propsContext/propsContext.mjs';
import '../../../../lib/viewComponentContext/viewComponentContext.mjs';
import { dynamic } from '../../../../lib/propsContext/dynamicProps/dynamic.mjs';
import { PropsContextProvider } from '../../../../lib/propsContext/PropsContextProvider.mjs';
import { OptionsButton } from '../Items/components/Item/components/OptionsButton/OptionsButton.mjs';
import 'invariant';
import 'luxon';
import 'react-aria-components';
import 'clsx';
import '@tabler/icons-react';
import '../../../Icon/Icon.mjs';
import '../../../Heading/Heading.mjs';
import '../../../Text/Text.mjs';
import 'react-aria';
import '../../../ColumnLayout/ColumnLayout.mjs';
import '../ListSummary/ListSummary.mjs';
import { useList } from '../../hooks/useList.mjs';
import '../../List.mjs';

const ListItemView = (props) => {
  const { children, s, m, l } = props;
  const list = useList();
  const propsContext = {
    ContextMenu: {
      tunnelId: "button",
      wrapWith: /* @__PURE__ */ jsx(OptionsButton, { className: styles.action })
    },
    Button: {
      tunnelId: "button",
      size: dynamic(() => useList().viewMode === "tiles" ? "s" : "m")
    },
    ActionGroup: {
      tunnelId: "button",
      Button: {
        tunnelId: null
      }
    },
    Avatar: {
      tunnelId: "avatar"
    },
    Heading: {
      tunnelId: "title"
    },
    Text: {
      tunnelId: "text"
    },
    Content: {
      tunnelId: dynamic((p) => p.slot === "bottom" ? "bottom" : void 0)
    },
    Checkbox: {
      tunnelId: "checkbox"
    }
  };
  return /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, mergeInParentContext: true, children: /* @__PURE__ */ jsx(TunnelProvider, { children: /* @__PURE__ */ jsx(
    ListItemViewContentView,
    {
      viewMode: list.viewMode,
      title: /* @__PURE__ */ jsx(TunnelExit, { id: "title" }),
      avatar: /* @__PURE__ */ jsx(TunnelExit, { id: "avatar" }),
      button: /* @__PURE__ */ jsx(TunnelExit, { id: "button" }),
      subTitle: /* @__PURE__ */ jsx(TunnelExit, { id: "text" }),
      bottom: /* @__PURE__ */ jsx(TunnelExit, { id: "bottom" }),
      checkbox: /* @__PURE__ */ jsx(TunnelExit, { id: "checkbox" }),
      s,
      m,
      l,
      children
    }
  ) }) });
};

export { ListItemView, ListItemView as default };
//# sourceMappingURL=ListItemView.mjs.map
