"use client"
/* */
import { isShallowEqual } from 'remeda';
import { hash } from 'object-code';

class FilterValue {
  filter;
  value;
  id;
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  constructor(filter, value) {
    this.filter = filter;
    if (typeof value === "string" && value.startsWith("FilterValueId@@")) {
      this.value = filter.values.find((v) => v.id === value)?.value;
      this.id = value;
    } else {
      this.value = value;
      this.id = `FilterValueId@@${this.filter.property}@@${hash(this.value)}`;
    }
  }
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  static create(filter, value) {
    if (value instanceof FilterValue) {
      return value;
    }
    return new FilterValue(filter, value);
  }
  equals(otherValue) {
    return isShallowEqual(this.value, otherValue.value);
  }
  get isActive() {
    return this.filter.isValueActive(this);
  }
  render() {
    return this.filter.renderItem(this.value);
  }
  toggle() {
    this.filter.toggleValue(this);
  }
  deactivate() {
    this.filter.deactivateValue(this);
  }
}

export { FilterValue };
//# sourceMappingURL=FilterValue.mjs.map
