"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { createElement } from 'react';
import * as Aria from 'react-aria-components';
import styles from './MenuItem.module.scss.mjs';
import clsx from 'clsx';
import { MenuItemContent } from './components/MenuItemContent/MenuItemContent.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';

const MenuItem = flowComponent("MenuItem", (props) => {
  const { children, className, selectionVariant, id, ref, ...rest } = props;
  const rootClassName = clsx(styles.menuItem, className);
  return /* @__PURE__ */ createElement(
    Aria.MenuItem,
    {
      ...rest,
      key: id,
      id,
      className: rootClassName,
      ref
    },
    (props2) => /* @__PURE__ */ jsx(MenuItemContent, { ...props2, selectionVariant, children })
  );
});

export { MenuItem, MenuItem as default };
//# sourceMappingURL=MenuItem.mjs.map
