"use client"
/* */
import { jsxs, jsx, Fragment } from 'react/jsx-runtime';
import { AlertIcon } from '../AlertIcon/AlertIcon.mjs';
import { Button } from '../Button/Button.mjs';
import 'react';
import '@tabler/icons-react';
import '../Icon/Icon.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { IconClose } from '../Icon/components/icons/IconClose.mjs';
import { Link } from '../Link/Link.mjs';
import '../../lib/propsContext/propsContext.mjs';
import { dynamic } from '../../lib/propsContext/dynamicProps/dynamic.mjs';
import { PropsContextProvider } from '../../lib/propsContext/PropsContextProvider.mjs';
import clsx from 'clsx';
import styles from './Notification.module.scss.mjs';

const Notification = (props) => {
  const {
    children,
    className,
    status = "info",
    role = "alert",
    href,
    onClick,
    onClose,
    autoClose: ignoredAutoClose,
    ...rest
  } = props;
  const rootClassName = clsx(
    styles.notification,
    styles[status],
    (onClick || onClose || href) && styles.hasLink,
    className
  );
  const propsContext = {
    Heading: {
      className: styles.heading,
      level: 4,
      children: dynamic((props2) => /* @__PURE__ */ jsxs(Fragment, { children: [
        /* @__PURE__ */ jsx(AlertIcon, { status, className: styles.icon }),
        props2.children
      ] }))
    },
    Text: {
      className: styles.text
    }
  };
  const closeButton = onClose && /* @__PURE__ */ jsx(
    Button,
    {
      size: "s",
      className: styles.close,
      variant: "plain",
      color: "secondary",
      onPress: onClose,
      children: /* @__PURE__ */ jsx(IconClose, {})
    }
  );
  return /* @__PURE__ */ jsxs(
    "div",
    {
      ...rest,
      className: rootClassName,
      role,
      "data-react-aria-top-layer": true,
      children: [
        /* @__PURE__ */ jsx(Link, { unstyled: true, href, className: styles.link, onPress: onClick, children: /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, children }) }),
        closeButton
      ]
    }
  );
};

export { Notification, Notification as default };
//# sourceMappingURL=Notification.mjs.map
