"use client"
/* */
import { cloneElement } from 'react';

const ControlledNotification = (props) => {
  const { notification, controller } = props;
  return cloneElement(notification.element, {
    onMouseEnter: () => {
      if (notification.element.props.autoClose) {
        notification.meta.autoCloseTimer.pause();
      }
    },
    onMouseLeave: () => {
      if (notification.element.props.autoClose) {
        notification.meta.autoCloseTimer.resume();
      }
    },
    onClose: () => {
      controller.remove(notification.meta.id);
      notification.element.props.onClose?.();
    },
    onFocus: () => {
      if (notification.element.props.autoClose) {
        notification.meta.autoCloseTimer.pause();
      }
    },
    onBlur: () => {
      if (notification.element.props.autoClose) {
        notification.meta.autoCloseTimer.resume();
      }
    }
  });
};

export { ControlledNotification, ControlledNotification as default };
//# sourceMappingURL=ControlledNotification.mjs.map
