"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { Suspense } from 'react';
import ReactDOM from 'react-dom';
import clsx from 'clsx';
import styles from './NotificationContainer.module.scss.mjs';
import { ControlledNotification } from '../ControlledNotification.mjs';
import { LazyMotion, domAnimation, AnimatePresence, m } from 'framer-motion';
import { useIsSSR } from 'react-aria';
import { useNotificationController } from '../NotificationProvider.mjs';

const NotificationContainer = (props) => {
  const { className, ...rest } = props;
  const controller = useNotificationController();
  const notifications = controller.useNotifications();
  const isSsr = useIsSSR();
  const rootClassName = clsx(styles.notificationContainer, className);
  const content = /* @__PURE__ */ jsx(LazyMotion, { features: domAnimation, children: /* @__PURE__ */ jsx("div", { className: rootClassName, ...rest, children: /* @__PURE__ */ jsx(AnimatePresence, { children: notifications.map((n) => /* @__PURE__ */ jsx(
    m.div,
    {
      className: styles.notification,
      initial: { opacity: 0, x: 200 },
      animate: { opacity: 1, x: 0 },
      exit: { opacity: 0, x: 200, height: 0, paddingBottom: 0 },
      transition: {
        bounce: 0
      },
      children: /* @__PURE__ */ jsx(Suspense, { children: /* @__PURE__ */ jsx(
        ControlledNotification,
        {
          notification: n,
          controller
        }
      ) })
    },
    n.meta.id
  )) }) }) });
  return isSsr ? null : ReactDOM.createPortal(content, document.body);
};

export { NotificationContainer, NotificationContainer as default };
//# sourceMappingURL=NotificationContainer.mjs.map
