"use client"
/* */
import { defaultPasswordCreationPolicy } from '../defaultPasswordCreationPolicy.mjs';
import { isPromise } from 'remeda';

const generatePasswordCreationFieldValidation = (validationPolicy = defaultPasswordCreationPolicy) => async (value) => {
  if (!value) {
    return true;
  }
  const validationResult = validationPolicy.validate(value);
  if (isPromise(validationResult.isValid)) {
    return await validationResult.isValid;
  }
  return validationResult.isValid;
};

export { generatePasswordCreationFieldValidation };
//# sourceMappingURL=generatePasswordCreationFieldValidation.mjs.map
