"use client"
/* */
import { RuleType } from '@mittwald/password-tools-js/rules';

const generateTranslationString = (rule, shortVersion = false) => {
  if (rule.translationKey) {
    return `validation.${rule.translationKey}`;
  }
  const translateString = `validation.${rule.ruleType ?? "general"}`;
  let finalTranslationString = "";
  if ("min" in rule && rule.min !== void 0 || "max" in rule && rule.max !== void 0) {
    const breakingBoundaryProperty = rule.failingBoundary ? rule.failingBoundary : rule.min ? "min" : "max";
    if (rule.identifier) {
      finalTranslationString = `${translateString}.${rule.identifier}.${breakingBoundaryProperty}`;
    } else {
      finalTranslationString = `${translateString}.${breakingBoundaryProperty}`;
    }
  } else if (rule.identifier) {
    finalTranslationString = `${translateString}.${rule.identifier}`;
  } else {
    finalTranslationString = translateString;
  }
  return shortVersion ? `${finalTranslationString}.short` : finalTranslationString;
};
const generateValidationTranslation = (r, shotVersion = false) => {
  const translationKey = generateTranslationString(r, shotVersion);
  if (r.ruleType === RuleType.char && r.chars) {
    return [
      translationKey,
      { ...r, chars: r.chars.map((c) => c.char).join("") }
    ];
  }
  return [
    translationKey,
    r
  ];
};

export { generateValidationTranslation as default, generateValidationTranslation };
//# sourceMappingURL=generateValidationTranslation.mjs.map
