"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import clsx from 'clsx';
import 'mobx';
import { useOverlayController } from '../../lib/controller/overlay/useOverlayController.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';
import { OverlayContextProvider } from '../../lib/controller/overlay/OverlayContextProvider.mjs';
import styles from './Popover.module.scss.mjs';
import PopoverContentView from '../../views/PopoverContentView.mjs';

const Popover = flowComponent("Popover", (props) => {
  const {
    children,
    className,
    controller: controllerFromProps,
    defaultOpen = false,
    ref,
    ...contentProps
  } = props;
  const controllerFromContext = useOverlayController("Popover", {
    reuseControllerFromContext: true,
    isDefaultOpen: defaultOpen
  });
  const controller = controllerFromProps ?? controllerFromContext;
  const isOpen = controller.useIsOpen();
  const rootClassName = clsx(styles.popover, className);
  return /* @__PURE__ */ jsx(
    PopoverContentView,
    {
      ...contentProps,
      className: rootClassName,
      isOpen,
      onOpenChange: (isOpen2) => controller.setOpen(isOpen2),
      ref,
      children: /* @__PURE__ */ jsx(OverlayContextProvider, { type: "Popover", controller, children })
    }
  );
});

export { Popover, Popover as default };
//# sourceMappingURL=Popover.mjs.map
