"use client"
/* */
import { jsxs, jsx } from 'react/jsx-runtime';
import 'react';
import styles from './RadioGroup.module.scss.mjs';
import * as Aria from 'react-aria-components';
import clsx from 'clsx';
import '../../lib/propsContext/propsContext.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { PropsContextProvider } from '../../lib/propsContext/PropsContextProvider.mjs';
import { FieldError } from '../FieldError/FieldError.mjs';
import { ColumnLayout } from '../ColumnLayout/ColumnLayout.mjs';
import { TunnelProvider, TunnelExit } from '@mittwald/react-tunnel';
import formFieldStyles from '../FormField/FormField.module.scss.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';

const RadioGroup = flowComponent("RadioGroup", (props) => {
  const { children, className, s, m, l, ref, ...rest } = props;
  const rootClassName = clsx(
    formFieldStyles.formField,
    styles.radioGroupContainer,
    className
  );
  const propsContext = {
    Label: {
      className: formFieldStyles.label
    },
    FieldDescription: {
      className: formFieldStyles.fieldDescription,
      tunnelId: "fieldDescription"
    },
    FieldError: {
      className: formFieldStyles.customFieldError,
      tunnelId: "fieldError"
    },
    RadioButton: {
      tunnelId: "radioButtons"
    },
    Radio: {
      tunnelId: "radios"
    }
  };
  return /* @__PURE__ */ jsxs(Aria.RadioGroup, { ...rest, className: rootClassName, ref, children: [
    /* @__PURE__ */ jsx(TunnelProvider, { children: /* @__PURE__ */ jsxs(
      PropsContextProvider,
      {
        dependencies: ["radio"],
        props: propsContext,
        mergeInParentContext: true,
        children: [
          children,
          /* @__PURE__ */ jsx(ColumnLayout, { s, m, l, className: styles.radioGroup, children: /* @__PURE__ */ jsx(TunnelExit, { id: "radioButtons" }) }),
          /* @__PURE__ */ jsx(
            ColumnLayout,
            {
              s: s ?? [1],
              m: m ?? [1],
              l: l ?? [1],
              rowGap: "s",
              className: styles.radioGroup,
              children: /* @__PURE__ */ jsx(TunnelExit, { id: "radios" })
            }
          ),
          /* @__PURE__ */ jsx(TunnelExit, { id: "fieldDescription" }),
          /* @__PURE__ */ jsx(TunnelExit, { id: "fieldError" })
        ]
      }
    ) }),
    /* @__PURE__ */ jsx(FieldError, { className: formFieldStyles.fieldError })
  ] });
});

export { RadioGroup, RadioGroup as default };
//# sourceMappingURL=RadioGroup.mjs.map
