"use client"
/* */
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import 'react';
import styles from './Radio.module.scss.mjs';
import * as Aria from 'react-aria-components';
import clsx from 'clsx';
import '@tabler/icons-react';
import '../../../Icon/Icon.mjs';
import '../../../../lib/viewComponentContext/viewComponentContext.mjs';
import { IconRadioOff } from '../../../Icon/components/icons/IconRadioOff.mjs';
import { IconRadioOn } from '../../../Icon/components/icons/IconRadioOn.mjs';
import { flowComponent } from '../../../../lib/componentFactory/flowComponent.mjs';
import { ClearPropsContext } from '../../../ClearPropsContext/ClearPropsContext.mjs';

const Radio = flowComponent("Radio", (props) => {
  const { children, className, ref, ...rest } = props;
  const rootClassName = clsx(styles.radio, className);
  return /* @__PURE__ */ jsx(ClearPropsContext, { children: /* @__PURE__ */ jsx(Aria.Radio, { ...rest, className: rootClassName, ref, children: ({ isSelected }) => /* @__PURE__ */ jsxs(Fragment, { children: [
    isSelected ? /* @__PURE__ */ jsx(IconRadioOn, { className: styles.icon }) : /* @__PURE__ */ jsx(IconRadioOff, { className: styles.icon }),
    children
  ] }) }) });
});

export { Radio, Radio as default };
//# sourceMappingURL=Radio.mjs.map
