"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import '@tabler/icons-react';
import '../Icon/Icon.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { IconStar } from '../Icon/components/icons/IconStar.mjs';
import { IconStarFilled } from '../Icon/components/icons/IconStarFilled.mjs';
import styles from './Rating.module.scss.mjs';
import clsx from 'clsx';
import { useLocalizedStringFormatter } from 'react-aria';
import locales from '../../../../_virtual/_.locale.json@656bcfe2b7d48c4324cbdf14a4866b19.mjs';

const Rating = (props) => {
  const { value = 0, size = "m" } = props;
  const rootClassName = clsx(styles.rating, styles[`size-${size}`]);
  const stringFormatter = useLocalizedStringFormatter(locales);
  const stars = Array(5).fill("").map(
    (_, index) => index < value ? /* @__PURE__ */ jsx(IconStarFilled, { "aria-hidden": true, size, className: styles.starFilled }) : /* @__PURE__ */ jsx(IconStar, { "aria-hidden": true, size, className: styles.star })
  );
  return /* @__PURE__ */ jsx(
    "div",
    {
      "aria-label": stringFormatter.format(`rating.${value}`),
      className: rootClassName,
      children: stars
    }
  );
};

export { Rating, Rating as default };
//# sourceMappingURL=Rating.mjs.map
