"use client"
/* */
const localStorageAvailable = typeof localStorage !== "undefined";
class LocalStorageSettingsBackend {
  storageKey;
  constructor(storageKey) {
    this.storageKey = storageKey;
  }
  async load() {
    if (!localStorageAvailable) {
      return {};
    }
    const jsonString = localStorage.getItem(this.storageKey);
    if (jsonString === null) {
      return {};
    }
    return JSON.parse(jsonString);
  }
  async store(settings) {
    if (localStorageAvailable) {
      localStorage.setItem(this.storageKey, JSON.stringify(settings));
    }
  }
}

export { LocalStorageSettingsBackend };
//# sourceMappingURL=LocalStorageSettingsBackend.mjs.map
