"use client"
/* */
import { LocalStorageSettingsBackend } from './LocalStorageSettingsBackend.mjs';

const settingsBackendFactory = (backend) => {
  switch (backend.type) {
    case "custom":
      return backend.store;
    case "localStorage":
      return new LocalStorageSettingsBackend(backend.storageKey);
  }
  throw new Error(`Unsupported setting backend: ${backend}`);
};

export { settingsBackendFactory };
//# sourceMappingURL=settingsBackendFactory.mjs.map
