"use client"
/* */
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import styles from './Switch.module.scss.mjs';
import clsx from 'clsx';
import '@tabler/icons-react';
import '../Icon/Icon.mjs';
import '../../lib/viewComponentContext/viewComponentContext.mjs';
import { IconCheck } from '../Icon/components/icons/IconCheck.mjs';
import { IconClose } from '../Icon/components/icons/IconClose.mjs';
import { Label } from '../Label/Label.mjs';
import { ClearPropsContext } from '../ClearPropsContext/ClearPropsContext.mjs';
import { flowComponent } from '../../lib/componentFactory/flowComponent.mjs';

const Switch = flowComponent("Switch", (props) => {
  const {
    children,
    className,
    labelPosition = "trailing",
    ref,
    ...rest
  } = props;
  const rootClassName = clsx(
    styles.switch,
    styles[`label-${labelPosition}`],
    className
  );
  return /* @__PURE__ */ jsx(ClearPropsContext, { children: /* @__PURE__ */ jsx(Aria.Switch, { ...rest, className: rootClassName, ref, children: ({ isSelected }) => /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx("div", { className: styles.track, children: /* @__PURE__ */ jsx("div", { className: styles.handle, children: isSelected ? /* @__PURE__ */ jsx(IconCheck, { size: "s" }) : /* @__PURE__ */ jsx(IconClose, { size: "s" }) }) }),
    children && /* @__PURE__ */ jsx(Label, { className: styles.label, children })
  ] }) }) });
});

export { Switch, Switch as default };
//# sourceMappingURL=Switch.mjs.map
