"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { Suspense } from 'react';
import * as Aria from 'react-aria-components';
import clsx from 'clsx';
import styles from '../../Table.module.scss.mjs';
import { SkeletonText } from '../../../SkeletonText/SkeletonText.mjs';
import { TableColumn } from '../TableColumn/TableColumn.mjs';

const TableCell = (props) => {
  const {
    children,
    className,
    rowHeader,
    horizontalAlign = "start",
    ...rest
  } = props;
  const rootClassName = clsx(
    styles.cell,
    styles[`horizontal-align-${horizontalAlign}`],
    className
  );
  const content = /* @__PURE__ */ jsx(Suspense, { fallback: /* @__PURE__ */ jsx(SkeletonText, { width: "100px" }), children });
  if (rowHeader) {
    return /* @__PURE__ */ jsx(TableColumn, { className: rootClassName, ...rest, children: content });
  }
  return /* @__PURE__ */ jsx(Aria.Cell, { className: rootClassName, ...rest, children: content });
};

export { TableCell, TableCell as default };
//# sourceMappingURL=TableCell.mjs.map
