"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import clsx from 'clsx';
import styles from '../../Table.module.scss.mjs';
import '../../../../lib/propsContext/propsContext.mjs';
import '../../../../lib/viewComponentContext/viewComponentContext.mjs';
import { PropsContextProvider } from '../../../../lib/propsContext/PropsContextProvider.mjs';

const TableColumn = (props) => {
  const { children, className, horizontalAlign = "start", ...rest } = props;
  const rootClassName = clsx(
    styles.column,
    styles[`horizontal-align-${horizontalAlign}`],
    className
  );
  const propsContext = { Checkbox: { slot: null } };
  return /* @__PURE__ */ jsx(Aria.Column, { isRowHeader: true, className: rootClassName, ...rest, children: /* @__PURE__ */ jsx(PropsContextProvider, { props: propsContext, children }) });
};

export { TableColumn, TableColumn as default };
//# sourceMappingURL=TableColumn.mjs.map
