"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useId } from 'react';
import * as Aria from 'react-aria-components';
import styles from './Tab.module.scss.mjs';
import clsx from 'clsx';
import { TabContextProvider } from './context.mjs';
import { TunnelEntry } from '@mittwald/react-tunnel';
import '../../../../lib/propsContext/propsContext.mjs';
import '../../../../lib/viewComponentContext/viewComponentContext.mjs';
import { PropsContextProvider } from '../../../../lib/propsContext/PropsContextProvider.mjs';
import { Activity } from '../../../Activity/Activity.mjs';

const Tab = (props) => {
  const { children, className, id: idFromProps, ...rest } = props;
  const rootClassName = clsx(styles.tabPanel, className);
  const generatedId = useId();
  const id = idFromProps ?? generatedId;
  const TabPanelRenderer = (props2) => {
    const isSelected = props2.state.selectedKey === id;
    const propsContext = {
      Content: {
        wrapWith: /* @__PURE__ */ jsx(Activity, { isActive: isSelected })
      },
      Section: {
        wrapWith: /* @__PURE__ */ jsx(Activity, { isActive: isSelected })
      }
    };
    return /* @__PURE__ */ jsx(
      PropsContextProvider,
      {
        props: propsContext,
        dependencies: [isSelected, children],
        children
      }
    );
  };
  return /* @__PURE__ */ jsx(TunnelEntry, { id: "Panels", children: /* @__PURE__ */ jsx(TabContextProvider, { value: { id }, children: /* @__PURE__ */ jsx(
    Aria.TabPanel,
    {
      className: rootClassName,
      shouldForceMount: true,
      id,
      ...rest,
      children: TabPanelRenderer
    }
  ) }) });
};

export { Tab, Tab as default };
//# sourceMappingURL=Tab.mjs.map
