"use client"
/* */
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import 'react';
import * as Aria from 'react-aria-components';
import clsx from 'clsx';
import styles from './TabTitle.module.scss.mjs';
import { Text } from '../../../Text/Text.mjs';
import { useTabContext } from '../Tab/context.mjs';
import { TunnelEntry } from '@mittwald/react-tunnel';
import { MenuItem } from '../../../MenuItem/MenuItem.mjs';

const TabTitle = (props) => {
  const { children, className, ...rest } = props;
  const { id } = useTabContext();
  const titleClassName = clsx(styles.tabTitle, className);
  return /* @__PURE__ */ jsxs(Fragment, { children: [
    /* @__PURE__ */ jsx(TunnelEntry, { id: "Titles", children: /* @__PURE__ */ jsx(Aria.Tab, { ...rest, id, className: titleClassName, children: (p) => /* @__PURE__ */ jsxs(Fragment, { children: [
      /* @__PURE__ */ jsx(Text, { emulateBoldWidth: true, children: /* @__PURE__ */ jsx("span", { className: styles.text, children }) }),
      /* @__PURE__ */ jsx(TunnelEntry, { id: "ActiveTitle", children: p.isSelected && children })
    ] }) }) }),
    /* @__PURE__ */ jsx(TunnelEntry, { id: "ContextMenuItems", children: /* @__PURE__ */ jsx(MenuItem, { className: styles.menuItem, id, children }) })
  ] });
};

export { TabTitle, TabTitle as default };
//# sourceMappingURL=TabTitle.mjs.map
