"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import * as Recharts from 'recharts';
import tokens from '../../../../design-tokens/dist/variables.json.mjs';

const YAxis = (props) => {
  const { domain = [0, (dataMax) => dataMax / 2], ...rest } = props;
  return /* @__PURE__ */ jsx(
    Recharts.YAxis,
    {
      ...rest,
      allowDataOverflow: true,
      domain,
      fontSize: tokens.axis["font-size"].value,
      tick: {
        fill: tokens.axis["text-color"].value
      },
      tickMargin: parseInt(tokens.axis.spacing.value),
      tickSize: parseInt(tokens.axis["tick-size"].value)
    }
  );
};

export { YAxis, YAxis as default };
//# sourceMappingURL=YAxis.mjs.map
