"use client"
/* */
import { useFormContext } from '../context/formContext.mjs';
import { useEffect } from 'react';
import { useFormState } from 'react-hook-form';

const callAfterSubmitFunction = (result) => {
  const callFn = (something) => {
    if (typeof something === "function") {
      something();
    }
  };
  if (result instanceof Promise) {
    result.then(callFn);
  } else {
    callFn(result);
  }
};
const AfterFormSubmitEffect = (props) => {
  const { submitHandlerResultRef } = props;
  const form = useFormContext().form;
  const { isValid, isSubmitSuccessful } = useFormState(form);
  useEffect(() => {
    if (isSubmitSuccessful && isValid) {
      callAfterSubmitFunction(submitHandlerResultRef.current);
    }
  }, [isSubmitSuccessful, isValid, form]);
  return null;
};

export { AfterFormSubmitEffect };
//# sourceMappingURL=AfterFormSubmitEffect.mjs.map
