"use client"
/* */
import { createContext, useContext } from 'react';
import invariant from 'invariant';

const formContext = createContext(void 0);
const FormContextProvider = formContext.Provider;
const useFormContext = () => {
  const ctx = useContext(formContext);
  invariant(
    !!ctx,
    "Could not useFormContext() outside a Form, or multiple versions of Flow installed."
  );
  return ctx;
};

export { FormContextProvider, formContext, useFormContext };
//# sourceMappingURL=formContext.mjs.map
