"use client"
/* */
import { jsx } from 'react/jsx-runtime';
import { useContext, useMemo } from 'react';
import { viewComponentContext } from './viewComponentContext.mjs';

const ViewComponentContextProvider = (props) => {
  const { children, components } = props;
  const parentContext = useContext(viewComponentContext);
  const mergedContext = useMemo(
    () => ({
      ...parentContext,
      ...components
    }),
    [parentContext, components]
  );
  return /* @__PURE__ */ jsx(viewComponentContext.Provider, { value: mergedContext, children });
};

export { ViewComponentContextProvider };
//# sourceMappingURL=ViewComponentContextProvider.mjs.map
