import { OverlayController } from '../../../lib/controller';
import { ActionProps } from '../types';
import { ActionState } from './ActionState';
import { OverlayContext } from '../../../lib/controller/overlay/context';
import { FlowComponentName } from '../../propTypes';
interface InitObject {
    actionProps: ActionProps;
    parentAction?: ActionModel;
    confirmationModalController: OverlayController;
    needsConfirmation: boolean;
    overlayContext: OverlayContext;
    state: ActionState;
}
export declare class ActionModel {
    state: ActionState;
    needsConfirmation: boolean;
    readonly actionProps: ActionProps;
    readonly parentAction?: ActionModel;
    readonly confirmationModalController: OverlayController;
    readonly overlayContext: OverlayContext;
    private constructor();
    static useNew(actionProps: ActionProps, init?: Partial<InitObject>): ActionModel;
    static use(): ActionModel;
    static useConfirmationAction(): ActionModel;
    getOverlayController(component: FlowComponentName): OverlayController | undefined;
    execute: (...args: unknown[]) => void;
}
export {};
//# sourceMappingURL=ActionModel.d.ts.map