import { PropsWithChildren } from 'react';
import { OverlayController } from '../../lib/controller';
import { ActionModel } from './models/ActionModel';
import { FlowComponentName } from '../propTypes';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
export type ActionFn = (...args: unknown[]) => unknown;
export interface ActionProps extends PropsWithChildren, FlowComponentProps {
    action?: ActionFn;
    onAction?: ActionFn;
    actionModel?: ActionModel;
    closeOverlay?: FlowComponentName | OverlayController;
    openOverlay?: FlowComponentName | OverlayController;
    toggleOverlay?: FlowComponentName | OverlayController;
    break?: boolean;
    skip?: number | boolean;
    showFeedback?: boolean;
}
//# sourceMappingURL=types.d.ts.map