import { CategoricalChartProps } from 'recharts/types/chart/generateCategoricalChart';
import { default as React, FC, PropsWithChildren } from 'react';
export interface AreaChartEmptyViewProps {
    data?: CategoricalChartProps["data"];
}
export interface AreaChartProps extends Pick<CategoricalChartProps, "data" | "className" | "syncId" | "syncMethod">, PropsWithChildren {
    height?: string;
    /** View that is provided when data is empty/undefined */
    emptyView?: React.ComponentType<AreaChartEmptyViewProps>;
    /**
     * Allow the height controlling container to set flex-grow: 1. Can only be
     * used in combination with `height`
     */
    flexGrow?: boolean;
}
/** @flr-generate all */
export declare const AreaChart: FC<AreaChartProps>;
export default AreaChart;
//# sourceMappingURL=AreaChart.d.ts.map