import { PropsWithChildren } from 'react';
import { PropsWithClassName, Status } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { avatarColors } from './avatarColors';
export type AvatarColors = (typeof avatarColors)[number];
export interface AvatarProps extends PropsWithChildren, PropsWithClassName, FlowComponentProps {
    /** The size of the avatar. @default "m" */
    size?: "xs" | "s" | "m" | "l";
    /** The color of icons and initials inside the avatar. */
    color?: AvatarColors;
    /**
     * Adds status icon and color to the avatar. May only be used if the status is
     * explained by an element (like text or label) nearby.
     */
    status?: Status;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Avatar: import('react').FunctionComponent<AvatarProps & import('react').RefAttributes<HTMLDivElement>>;
export default Avatar;
//# sourceMappingURL=Avatar.d.ts.map