import { FC, PropsWithChildren } from 'react';
import { PropsWithClassName } from '../../lib/types/props';
export interface AvatarStackProps extends PropsWithClassName, PropsWithChildren {
    /**
     * The total count of items, as avatars should only be displayed for the first
     * view
     */
    totalCount?: number;
    /** The onPress action of the additional items count element */
    onCountPress?: () => void;
    /** The size of the avatars inside the stack. @default "m" */
    size?: "xs" | "s" | "m" | "l";
}
/** @flr-generate all */
export declare const AvatarStack: FC<AvatarStackProps>;
export default AvatarStack;
//# sourceMappingURL=AvatarStack.d.ts.map