import { PropsWithChildren, default as React } from 'react';
import { PropsWithClassName } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { PressEvent } from '@react-types/shared';
export declare const badgeColors: readonly ["neutral", "blue", "navy", "violet", "teal", "lilac", "green", "orange", "red", "dark", "light"];
export type BadgeColors = (typeof badgeColors)[number];
export interface BadgeProps extends PropsWithChildren, FlowComponentProps, PropsWithClassName {
    /** Handler that is called when the badge is pressed. */
    onPress?: (e: PressEvent) => void;
    /** Handler that is called when the badges close icon is pressed. */
    onClose?: (e: PressEvent) => void;
    /** The color of the badge. @default "neutral" */
    color?: BadgeColors;
    /** Whether the badge is disabled. */
    isDisabled?: boolean;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Badge: React.FunctionComponent<BadgeProps & React.RefAttributes<HTMLDivElement>>;
export default Badge;
//# sourceMappingURL=Badge.d.ts.map