import { PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface ButtonProps extends PropsWithChildren<Aria.ButtonProps>, FlowComponentProps<HTMLButtonElement> {
    /** Slot for button placement in action groups. */
    slot?: string;
    /** The color of the button. @default "primary" */
    color?: "primary" | "accent" | "secondary" | "danger" | "dark" | "light";
    /** The visual variant of the button. @default "solid" */
    variant?: "plain" | "solid" | "soft" | "outline";
    /** The size of the button. @default "m" */
    size?: "m" | "s";
    /** Disables button but keeps it focusable. */
    "aria-disabled"?: boolean;
    /** Whether the button is in a pending state. */
    isPending?: boolean;
    /** Whether the button is in a succeeded state. */
    isSucceeded?: boolean;
    /** Whether the button is in a failed state. */
    isFailed?: boolean;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Button: React.FunctionComponent<ButtonProps & React.RefAttributes<HTMLButtonElement>>;
export default Button;
//# sourceMappingURL=Button.d.ts.map