import { FC } from 'react';
import { NameType, ValueType } from 'recharts/types/component/DefaultTooltipContent';
import * as Recharts from "recharts";
export type TooltipLineFormatter = (value: ValueType, name: NameType, index: number, unit?: string | number) => string;
export type TooltipHeadingFormatter = (title: string | number | undefined) => string;
export interface WithTooltipFormatters {
    /**
     * A formatter function for the lines in the tooltip. Can be used for purposes
     * like translations.
     */
    formatter?: TooltipLineFormatter;
    /**
     * A formatter function for the heading of the tooltip. Can be used for
     * purposes like translations.
     */
    headingFormatter?: TooltipHeadingFormatter;
}
export interface ChartTooltipProps extends Pick<Recharts.TooltipProps<ValueType, NameType>, "wrapperClassName" | "allowEscapeViewBox">, WithTooltipFormatters {
}
/** @flr-generate all */
export declare const ChartTooltip: FC<ChartTooltipProps>;
export default ChartTooltip;
//# sourceMappingURL=ChartTooltip.d.ts.map