import { FC } from 'react';
import { SyntaxHighlighterProps } from 'react-syntax-highlighter';
import { PropsWithClassName } from '../../lib/types/props';
export interface CodeBlockProps extends Omit<SyntaxHighlighterProps, "children">, PropsWithClassName {
    /** Adds a copy icon to the code block to copy its content. */
    copyable?: boolean;
    /** The color of the code block. @default "default" */
    color?: "default" | "light" | "dark";
    /** The code to display inside the code block. */
    code: string | string[];
}
/** @flr-generate all */
export declare const CodeBlock: FC<CodeBlockProps>;
export default CodeBlock;
//# sourceMappingURL=CodeBlock.d.ts.map