import { ContextMenuSelectionMode } from './lib';
import { MenuItemProps } from '../MenuItem';
import { PopoverProps } from '../Popover/Popover';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import type * as Aria from "react-aria-components";
export interface ContextMenuProps extends Omit<PopoverProps, "withTip">, Pick<Aria.MenuProps<MenuItemProps>, "onAction" | "selectedKeys" | "defaultSelectedKeys" | "onSelectionChange" | "disabledKeys" | "renderEmptyState">, FlowComponentProps {
    /** The type of selection that is allowed in the context menu. */
    selectionMode?: ContextMenuSelectionMode;
    /** Sets the context menu to a fixed width. */
    width?: string | number;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const ContextMenu: import('react').FunctionComponent<ContextMenuProps & import('react').RefAttributes<HTMLDivElement>>;
export default ContextMenu;
//# sourceMappingURL=ContextMenu.d.ts.map