import { FC, PropsWithChildren } from 'react';
import { PropsWithStatus } from '../../lib/types/props';
import { CategoricalColors } from '../../lib/tokens/CategoricalColors';
import * as Aria from "react-aria-components";
export interface DonutChartSegment {
    value: number;
    title: string;
    color?: CategoricalColors;
    valueText?: string;
}
export interface DonutChartProps extends Omit<Aria.ProgressBarProps, "children" | "valueLabel">, PropsWithStatus, PropsWithChildren {
    /** The size variant of the donut chart. @default "m" */
    size?: "m" | "l";
    /** Divides the fill of the donut chart into segments */
    segments?: DonutChartSegment[];
    /**
     * Whether the legend component is shown when segments are used. @default:
     * true
     */
    showLegend?: boolean;
    /** The position of the legend. @default "right" */
    legendPosition?: "top" | "left" | "bottom" | "right";
}
/** @flr-generate all */
export declare const DonutChart: FC<DonutChartProps>;
export default DonutChart;
//# sourceMappingURL=DonutChart.d.ts.map