import { default as React } from 'react';
import { PropsWithClassName, PropsWithElementType } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { LinkProps } from '../Link';
export interface FileCardProps extends FlowComponentProps<HTMLDivElement | HTMLLIElement>, PropsWithClassName, PropsWithElementType<"div" | "li">, Pick<LinkProps, "onPress" | "href" | "target" | "download"> {
    /** The name of the file. */
    name: string;
    /** The type of the file. */
    type?: string;
    /** Handler that is called when the file cards delete button is clicked. */
    onDelete?: () => void;
    /** The size of the file in bytes. */
    sizeInBytes?: number;
    /** The source of an image file. */
    imageSrc?: string;
}
/** @flr-generate all */
export declare const FileCard: React.FunctionComponent<FileCardProps & React.RefAttributes<HTMLDivElement | HTMLLIElement>>;
export default FileCard;
//# sourceMappingURL=FileCard.d.ts.map