import { PropsWithChildren } from 'react';
import { FileInputOnChangeHandler } from './components/FileInput';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import type * as Aria from "react-aria-components";
export interface FileFieldProps extends PropsWithChildren, FlowComponentProps<HTMLInputElement>, Pick<Aria.InputProps, "accept" | "multiple" | "name">, Pick<Aria.TextFieldProps, "isRequired" | "isInvalid" | "validationBehavior" | "isDisabled"> {
    /** Handler that is called when the file input changes. */
    onChange?: FileInputOnChangeHandler;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const FileField: import('react').FunctionComponent<FileFieldProps & import('react').RefAttributes<HTMLInputElement>>;
export default FileField;
//# sourceMappingURL=FileField.d.ts.map