import { CSSProperties, FC, PropsWithChildren } from 'react';
import { PropsWithClassName, PropsWithElementType } from '../../lib/types/props';
export interface FlexProps extends PropsWithChildren, PropsWithClassName, PropsWithElementType<"div" | "aside" | "ul" | "li" | "ol" | "section" | "main" | "span" | "p" | "footer" | "header"> {
    /** The flexDirection value of the element. @default "row" */
    direction?: CSSProperties["flexDirection"];
    /** The alignItems value of the element. @default "start" */
    align?: "start" | "end" | "center" | "stretch" | "baseline";
    /** The justifyContent value of the element. @default "start" */
    justify?: "start" | "end" | "center";
    /** The gap size of the element. */
    gap?: "xs" | "s" | "m" | "l" | "xl";
    /** The columnGap size of the element. */
    columnGap?: "xs" | "s" | "m" | "l" | "xl";
    /** The rowGap size of the element. */
    rowGap?: "xs" | "s" | "m" | "l" | "xl";
    /** Whether the element should grow. */
    grow?: boolean;
    /** The flexWrap value of the element. @default "nowrap" */
    wrap?: CSSProperties["flexWrap"];
    /** The padding of the element. */
    padding?: "xs" | "s" | "m" | "l" | "xl";
    /** The padding top of the element. */
    paddingTop?: "xs" | "s" | "m" | "l" | "xl";
    /** The padding bottom of the element. */
    paddingBottom?: "xs" | "s" | "m" | "l" | "xl";
    /** The padding left of the element. */
    paddingLeft?: "xs" | "s" | "m" | "l" | "xl";
    /** The padding right of the element. */
    paddingRight?: "xs" | "s" | "m" | "l" | "xl";
}
/** @flr-generate all */
export declare const Flex: FC<FlexProps>;
export default Flex;
//# sourceMappingURL=Flex.d.ts.map