import { default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
export * from './view';
import * as Aria from "react-aria-components";
export interface HeadingProps extends Aria.HeadingProps, FlowComponentProps {
    /** The font size of the heading. */
    size?: "xs" | "s" | "m" | "l" | "xl" | "xxl";
    /** The color of the heading. @default "primary" */
    color?: "primary" | "dark" | "light";
    /** The text-wrap property of the text. @default undefined */
    wrap?: "wrap" | "balance";
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Heading: React.FunctionComponent<HeadingProps & React.RefAttributes<HTMLDivElement>>;
export default Heading;
//# sourceMappingURL=Heading.d.ts.map