import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { ComponentProps } from 'react';
export interface ImageProps extends Omit<ComponentProps<"img">, "ref">, FlowComponentProps<HTMLImageElement> {
    /** Display the image with border and rounded edges. */
    withBorder?: boolean;
    /**
     * The aspect ratio of the images container. Larger images will be centered
     * and their overflow will be hidden.
     */
    aspectRatio?: number;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Image: import('react').FunctionComponent<ImageProps & import('react').RefAttributes<HTMLImageElement>>;
export default Image;
//# sourceMappingURL=Image.d.ts.map