import { PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface LabelProps extends PropsWithChildren<Omit<Aria.LabelProps, "children">>, FlowComponentProps<HTMLLabelElement> {
    /** Whether the label should show an "optional" indicator. */
    optional?: boolean;
    /** Whether the label should be displayed as disabled. */
    isDisabled?: boolean;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Label: React.FunctionComponent<LabelProps & React.RefAttributes<HTMLLabelElement>>;
export default Label;
//# sourceMappingURL=Label.d.ts.map