import { ComponentProps, ComponentType, PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { PropsWithClassName } from '../../lib/types/props';
import * as Aria from "react-aria-components";
export interface LinkProps extends PropsWithChildren<Omit<Aria.LinkProps, "children" | "slot" | "className">>, FlowComponentProps<HTMLAnchorElement>, PropsWithClassName {
    /** Whether the link should be styled for being displayed inside a text. */
    inline?: boolean;
    /** An alternative link component. */
    linkComponent?: ComponentType<Omit<ComponentProps<"a">, "ref">>;
    /** The color of the link. @default "primary" */
    color?: "primary" | "dark" | "light";
    "aria-current"?: string;
    slot?: string;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Link: React.FunctionComponent<LinkProps & React.RefAttributes<HTMLAnchorElement>>;
export default Link;
//# sourceMappingURL=Link.d.ts.map