import { Column, ColumnSort, Table, TableOptions } from '@tanstack/react-table';
import { default as List } from './List';
import { OnListChanged, PropertyName } from './types';
import { SearchValue } from './search/types';
import { Dispatch, SetStateAction } from 'react';
export declare class ReactTable<T> {
    readonly list: List<T>;
    readonly table: Table<T>;
    readonly sortingState: ColumnSort[];
    readonly updateSortingState: Dispatch<SetStateAction<ColumnSort[]>>;
    private constructor();
    get searchString(): SearchValue;
    static useNew<T>(list: List<T>, onChange?: OnListChanged<T>, tableOptions?: Partial<TableOptions<T>>): ReactTable<T>;
    getTableColumn(property: PropertyName<T>): Column<T>;
    private useReactTable;
    private handleSortingStateUpdate;
    private getTableColumnDefs;
}
export default ReactTable;
//# sourceMappingURL=ReactTable.d.ts.map