import { ColumnDef, ColumnFilter, InitialTableState } from '@tanstack/react-table';
import { default as List } from '../List';
import { FilterMatcher, FilterMode, FilterShape } from './types';
import { PropertyName, PropertyValueRenderMethod } from '../types';
import { FilterValue } from './FilterValue';
import { default as z } from 'zod';
export declare class Filter<T, TProp extends PropertyName<T>, TMatchValue> {
    static readonly settingsStorageSchema: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>>;
    private _values?;
    private _valuesFromTableState?;
    readonly list: List<T>;
    readonly property: PropertyName<T>;
    readonly mode: FilterMode;
    readonly matcher: FilterMatcher<T, never, never>;
    readonly renderItem: PropertyValueRenderMethod<TMatchValue>;
    readonly name?: string;
    private onFilterUpdateCallbacks;
    private readonly defaultSelectedValues?;
    constructor(list: List<T>, shape: FilterShape<T, TProp, TMatchValue>);
    private getStoredSelectedIds;
    updateInitialState(initialState: InitialTableState): void;
    updateTableColumnDef(def: ColumnDef<T>): void;
    private getReactTableFilterFn;
    private checkFilterMatches;
    protected getTableColumnFilter(): ColumnFilter | undefined;
    private getTableColumn;
    getValue(): unknown;
    private getValuesFromTableState;
    private checkIfValueIsUnknown;
    deleteUnknownFilterValues(): void;
    get values(): FilterValue[];
    private get valuesFromTableState();
    getArrayValue(): FilterValue[];
    isValueActive(value: FilterValue): boolean;
    isActive(): boolean;
    deactivateValue(value: FilterValue): void;
    hasChanged(): boolean;
    private getInitialValues;
    private getInitialFilterValues;
    resetValues(): void;
    clear(): void;
    toggleValue(newValue: FilterValue): void;
    onFilterUpdated(cb: () => unknown): void;
}
//# sourceMappingURL=Filter.d.ts.map