import { ReactElement, ReactNode } from 'react';
import { RenderItemFn } from './types';
import { default as List } from '../List';
export interface ItemViewShape<T> {
    textValue?: (data: T) => string;
    href?: (data: T) => string;
    defaultExpanded?: (data: T) => boolean;
    renderFn?: RenderItemFn<T>;
    fallback?: ReactElement;
    showList?: boolean;
    showTiles?: boolean;
    tileMaxWidth?: number;
}
export declare class ItemView<T> {
    readonly list: List<T>;
    readonly textValue?: (data: T) => string;
    readonly href?: (data: T) => string;
    readonly defaultExpanded?: (data: T) => boolean;
    readonly fallback?: ReactElement;
    readonly showTiles?: boolean;
    readonly showList?: boolean;
    readonly tileMaxWidth: number;
    private readonly renderFn?;
    constructor(list: List<T>, shape?: ItemViewShape<T>);
    private static fallbackRenderItemFn;
    render(data: T): ReactNode;
}
//# sourceMappingURL=ItemView.d.ts.map