import { default as List } from '../List';
import { IncrementalLoaderShape } from './types';
import { IncrementalLoaderState } from './IncrementalLoaderState';
import { PropertyName } from '../types';
export declare class IncrementalLoader<T> {
    private readonly list;
    private readonly dataSource;
    readonly manualSorting: boolean;
    readonly manualFiltering: boolean;
    readonly manualPagination: boolean;
    readonly loaderState: IncrementalLoaderState<T>;
    readonly staticDataProperties: PropertyName<T>[];
    private constructor();
    static useNew<T>(list: List<T>, shape?: IncrementalLoaderShape<T>): IncrementalLoader<T>;
    private initStaticDataProperties;
    private reset;
    useIsLoading(): boolean;
    useIsInitiallyLoading(): boolean;
    useData(): T[];
    getLoaderInvocationHooks(): (() => void)[];
    private useLoadBatch;
    private useObserveBatchLoadingState;
    private useObserveBatchData;
    private getDataLoaderOptions;
    private getBatchDataAsyncResource;
}
//# sourceMappingURL=IncrementalLoader.d.ts.map