import { ListData } from './types';
import { AsyncResource } from '@mittwald/react-use-promise';
type AsyncResourceLoadingState = AsyncResource["state"]["value"];
type DataBatches<T> = ListData<T>[];
type BatchesLoadingState = AsyncResourceLoadingState[];
export declare class IncrementalLoaderState<T> {
    dataBatches: DataBatches<T>;
    prevDataBatches: DataBatches<T>;
    batchLoadingStates: BatchesLoadingState;
    private constructor();
    static useNew<T>(): IncrementalLoaderState<T>;
    reset(): void;
    setDataBatch(index: number, data: ListData<T>): void;
    setBatchLoadingState(index: number, state: AsyncResourceLoadingState): void;
    get mergedData(): T[];
    useMergedData(): T[];
    get isLoading(): boolean;
    useIsLoading(): boolean;
    isBatchLoaded(batchIndex: number): boolean;
}
export {};
//# sourceMappingURL=IncrementalLoaderState.d.ts.map