import { default as List } from '../List';
import { SortingDefaultMode, SortingShape } from './types';
import { PropertyName } from '../types';
import { Column, ColumnDef, ColumnSort, SortDirection, SortingFn } from '@tanstack/react-table';
import { default as z } from 'zod';
export declare class Sorting<T> {
    static readonly storageSchema: z.ZodOptional<z.ZodObject<{
        direction: z.ZodEnum<["asc", "desc"]>;
        property: z.ZodUnion<[z.ZodString, z.ZodNumber]>;
    }, "strip", z.ZodTypeAny, {
        property: string | number;
        direction: "desc" | "asc";
    }, {
        property: string | number;
        direction: "desc" | "asc";
    }>>;
    readonly list: List<T>;
    readonly property: PropertyName<T>;
    readonly name?: string;
    readonly direction: SortDirection;
    readonly defaultEnabled: SortingDefaultMode;
    readonly customSortingFn?: SortingFn<T>;
    constructor(list: List<T>, shape: SortingShape<T>);
    private getStoredDefaultEnabled;
    updateTableColumnDef(def: ColumnDef<T>): void;
    getReactTableColumnSort(): ColumnSort;
    isSorted(): boolean;
    getTableColumn(): Column<T>;
    enable(): void;
    clear(): void;
    get id(): string;
}
//# sourceMappingURL=Sorting.d.ts.map