import { ListProps } from './List';
import { ComponentType } from 'react';
export declare const TypedList: <T>() => ComponentType<ListProps<T>>;
export declare const typedList: <T>() => {
    List: ComponentType<ListProps<T>>;
    Filter: <const TProp extends import('./model/types').PropertyName<T>, TMatcherValue = import('./model/types').PropertyValue<T, TProp>>(props: Omit<import('./model/filter/types').FilterShape<T, TProp, TMatcherValue>, "type" | "renderItem"> & {
        children?: import('./model/types').PropertyValueRenderMethod<TMatcherValue> | undefined;
    }) => import('react').ReactNode;
    Search: ComponentType<Omit<import('./model/search/types').SearchShape<T>, "render" | "textFieldProps"> & {
        children?: import('./model/search/types').SearchFieldRenderComponent;
        autoSubmit?: boolean;
    } & {
        autoFocus?: boolean | undefined;
    }>;
    Sorting: ComponentType<import('./model/sorting/types').SortingShape<T>>;
    Item: ComponentType<Omit<import('./model/item/ItemView').ItemViewShape<T>, "renderFn"> & {
        children: import('.').RenderItemFn<T>;
    }>;
    ItemView: (props: import('./components/ListItemView/ListItemView').ListItemViewProps) => import("react/jsx-runtime").JSX.Element;
    TableHeader: (ignoredProps: import('./model/table/types').TableHeaderShape) => null;
    TableColumn: (ignoredProps: import('../Table').TableColumnProps) => null;
    TableBody: (ignoredProps: import('./model/table/types').TableBodyShape<T>) => null;
    TableRow: (ignoredProps: {
        style?: import('react').CSSProperties | ((values: import('react-aria-components').RowRenderProps & {
            defaultStyle: import('react').CSSProperties;
        }) => import('react').CSSProperties | undefined) | undefined;
        children?: import('react').ReactNode;
        className?: string | ((values: import('react-aria-components').RowRenderProps & {
            defaultClassName: string | undefined;
        }) => string) | undefined;
        id?: import('react-aria').Key | undefined;
        rel?: string | undefined;
        target?: import('react').HTMLAttributeAnchorTarget | undefined;
        href?: import('@react-types/shared').Href | undefined;
        isDisabled?: boolean | undefined;
        value?: undefined;
        onHoverStart?: ((e: import('react-aria').HoverEvent) => void) | undefined;
        onHoverEnd?: ((e: import('react-aria').HoverEvent) => void) | undefined;
        onHoverChange?: ((isHovering: boolean) => void) | undefined;
        textValue?: string | undefined;
        hrefLang?: string | undefined;
        download?: boolean | string | undefined;
        ping?: string | undefined;
        referrerPolicy?: import('react').HTMLAttributeReferrerPolicy | undefined;
        routerOptions?: import('@react-types/shared').RouterOptions | undefined;
        dependencies?: ReadonlyArray<any> | undefined;
        columns?: Iterable<never> | undefined;
    }) => null;
    TableCell: (ignoredProps: Omit<import('./model/table/types').TableCellShape<T>, "renderFn"> & {
        children: import('.').RenderItemFn<T>;
    }) => null;
    Table: (ignoredProps: {
        slot?: string | null | undefined;
        style?: import('react').CSSProperties | ((values: import('react-aria-components').TableRenderProps & {
            defaultStyle: import('react').CSSProperties;
        }) => import('react').CSSProperties | undefined) | undefined;
        defaultSelectedKeys?: ("all" | Iterable<import('react-aria').Key>) | undefined;
        selectedKeys?: ("all" | Iterable<import('react-aria').Key>) | undefined;
        children?: import('react').ReactNode;
        className?: string | ((values: import('react-aria-components').TableRenderProps & {
            defaultClassName: string | undefined;
        }) => string) | undefined;
        'aria-label'?: string | undefined;
        'aria-labelledby'?: string | undefined;
        'aria-describedby'?: string | undefined;
        'aria-details'?: string | undefined;
        onScroll?: ((e: import('react').UIEvent<HTMLTableElement, UIEvent>) => void) | undefined;
        disallowEmptySelection?: boolean | undefined;
        onSelectionChange?: ((keys: import('react-stately').Selection) => void) | undefined;
        disabledKeys?: Iterable<import('react-aria').Key> | undefined;
        selectionBehavior?: import('react-stately').SelectionBehavior | undefined;
        shouldSelectOnPressUp?: boolean | undefined;
        escapeKeyBehavior?: "clearSelection" | "none" | undefined;
        selectionMode?: import('react-stately').SelectionMode | undefined;
        dragAndDropHooks?: import('react-aria-components').DragAndDropHooks | undefined;
        verticalAlign?: "top" | "middle" | undefined;
        sortDescriptor?: import('react-stately').SortDescriptor | undefined;
        onSortChange?: ((descriptor: import('react-stately').SortDescriptor) => any) | undefined;
        disabledBehavior?: import('react-stately').DisabledBehavior | undefined;
        onRowAction?: ((key: import('react-aria').Key) => void) | undefined;
    }) => null;
    StaticData: ComponentType<{
        data: readonly T[];
    }>;
    LoaderAsync: ComponentType<Omit<import('./model/loading/types').AsyncDataLoaderShape<T>, "asyncLoader"> & {
        children: import('.').AsyncDataLoader<T>;
    }>;
    LoaderAsyncResource: ComponentType<Omit<import('./model/loading/types').AsyncResourceFactoryDataLoaderShape<T>, "asyncResourceFactory"> & {
        children: import('.').AsyncResourceFactory<T>;
    }>;
};
//# sourceMappingURL=typedList.d.ts.map