import { PropsWithChildren, default as React } from 'react';
import { OverlayController } from '../../lib/controller/overlay';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { PropsWithClassName } from '../../lib/types/props';
export interface ModalProps extends PropsWithChildren, FlowComponentProps, PropsWithClassName {
    /** The size of the modal. @default "s" */
    size?: "s" | "m" | "l";
    /** Whether the modal should be displayed as an off canvas. */
    offCanvas?: boolean;
    /**
     * Whether the off canvas should be displayed on the right or left side of the
     * screen. @default "right"
     */
    offCanvasOrientation?: "left" | "right";
    /** An overlay controller to control the modal state. */
    controller?: OverlayController;
    /**
     * Accepts "actionConfirm" to use the modal as a confirmation modal for an
     * action.
     */
    slot?: string;
    /** Whether the modal can be closed by clicking outside of it. */
    isDismissable?: boolean;
}
export declare const Modal: React.FunctionComponent<ModalProps & React.RefAttributes<HTMLDivElement>>;
export default Modal;
//# sourceMappingURL=Modal.d.ts.map