import { PropsWithStatus } from '../../lib/types/props';
import { ComponentProps, FC, PropsWithChildren } from 'react';
export interface NotificationProps extends PropsWithChildren<ComponentProps<"div">>, PropsWithStatus {
    /** A link that is triggered when clicking the notification. */
    href?: string;
    /** Whether the notification should disappear automatically after some time. */
    autoClose?: boolean;
    /** Handler that is called when the notification is clicked. */
    onClick?: () => void;
    /**
     * Handler that is called when the close button of the notification is
     * clicked.
     */
    onClose?: () => void;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Notification: FC<NotificationProps>;
export default Notification;
//# sourceMappingURL=Notification.d.ts.map