import { FC, PropsWithChildren, Ref } from 'react';
import { OverlayController } from '../../lib/controller';
import { PropsWithClassName } from '../../lib/types/props';
export interface OverlayProps extends PropsWithChildren, PropsWithClassName {
    ref?: Ref<HTMLDivElement>;
    /** The controller to control the overlay state. */
    controller?: OverlayController;
    /** Whether the overlay can be closed by clicking outside of it. */
    isDismissable?: boolean;
    /** Whether the overlay is a modal or a light box. */
    overlayType?: "Modal" | "LightBox";
}
export declare const Overlay: FC<OverlayProps>;
export default Overlay;
//# sourceMappingURL=Overlay.d.ts.map