import { ComponentType, FC, PropsWithChildren, ReactNode } from 'react';
import { OverlayController } from '../../lib/controller';
import { FlowComponentName } from '../propTypes';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
type AriaComponentType = ComponentType<{
    isOpen?: boolean;
    children: ReactNode;
}>;
export interface OverlayTriggerProps extends FlowComponentProps, PropsWithChildren {
    /** Whether the overlay should be open initially. */
    isDefaultOpen?: boolean;
    /** A controller to control the state of the overlay. */
    controller?: OverlayController;
}
interface Props extends OverlayTriggerProps {
    overlayType: FlowComponentName;
    component: AriaComponentType;
}
export declare const OverlayTrigger: FC<Props>;
export default OverlayTrigger;
//# sourceMappingURL=OverlayTrigger.d.ts.map