import { default as React, PropsWithChildren } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { Policy, PolicyValidationResult } from '@mittwald/password-tools-js/policy';
import { RuleValidationResult } from '@mittwald/password-tools-js/rules';
import * as Aria from "react-aria-components";
export interface PasswordCreationFieldProps extends PropsWithChildren<Omit<Aria.TextFieldProps, "children" | "value" | "defaultValue"> & Partial<Pick<Aria.FieldErrorRenderProps, "validationErrors">>>, FlowComponentProps<HTMLInputElement> {
    value?: string;
    onValidationResult?: (result: {
        password: string;
        isValid: boolean;
    }) => void;
    defaultValue?: string;
    placeholder?: string;
    validationPolicy?: Policy;
}
export interface ResolvedPolicyValidationResult extends Omit<PolicyValidationResult, "isValid"> {
    initialValidate: boolean;
    isValid: boolean | "indeterminate";
    ruleResults: RuleValidationResult[];
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const PasswordCreationField: React.FunctionComponent<PasswordCreationFieldProps & React.RefAttributes<HTMLInputElement>>;
export default PasswordCreationField;
//# sourceMappingURL=PasswordCreationField.d.ts.map