import { PropsWithChildren, default as React } from 'react';
import { OverlayController } from '../../lib/controller';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import type * as Aria from "react-aria-components";
export interface PopoverProps extends PropsWithChildren<Omit<Aria.PopoverProps, "children">>, FlowComponentProps {
    /**
     * Whether the popover should display a tip, pointing towards the trigger
     * element.
     */
    withTip?: boolean;
    /** Whether the popover contains a dialog. */
    isDialogContent?: boolean;
    /** An overlay controller to control the popover state. */
    controller?: OverlayController;
    /** A fixed width for the popover. */
    width?: string | number;
    /** The popovers padding. @default "m" */
    padding?: "s" | "m";
}
export declare const Popover: React.FunctionComponent<PopoverProps & React.RefAttributes<HTMLDivElement>>;
export default Popover;
//# sourceMappingURL=Popover.d.ts.map