import { PropsWithChildren, default as React } from 'react';
import { PropsWithStatus } from '../../lib/types/props';
import { CategoricalColors } from '../../lib/tokens/CategoricalColors';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface ProgressBarProps extends PropsWithChildren<Omit<Aria.ProgressBarProps, "children">>, PropsWithStatus, FlowComponentProps {
    /** Whether the max value should be displayed. */
    showMaxValue?: boolean;
    /** The size variant of the progress bar. @default "m" */
    size?: "s" | "m" | "l";
    /** Divides the fill of the progress bar into segments */
    segments?: {
        value: number;
        title: string;
        color?: CategoricalColors;
        valueText?: string;
    }[];
    /**
     * Whether the legend component is shown when segments are used. @default:
     * true
     */
    showLegend?: boolean;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const ProgressBar: React.FunctionComponent<ProgressBarProps & React.RefAttributes<HTMLDivElement>>;
export default ProgressBar;
//# sourceMappingURL=ProgressBar.d.ts.map