import { PropsWithChildren } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import { PropsWithClassName } from '../../lib/types/props';
import { OverlayController } from '../../lib/controller';
import * as Aria from "react-aria-components";
export interface SelectProps extends PropsWithChildren<Omit<Aria.SelectProps<{
    example: string;
}>, "children" | "className">>, FlowComponentProps, PropsWithClassName {
    /** Handler that is called when the selected value changes. */
    onChange?: (value: string | number) => void;
    /** An overlay controller to control the select option popover state. */
    controller?: OverlayController;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Select: import('react').FunctionComponent<SelectProps & import('react').RefAttributes<HTMLDivElement>>;
export default Select;
//# sourceMappingURL=Select.d.ts.map