import { PropsWithChildren, default as React } from 'react';
import { ListBoxProps } from 'react-aria-components';
import { FlowComponentProps } from '../../../../lib/componentFactory/flowComponent';
export interface Country {
    code: string;
    name: string;
}
export type CountryFilterFn = (country: Country) => boolean;
export type CountrySortFn = (left: Country, right: Country) => number;
export interface CountryOptionsProps<T = object> extends PropsWithChildren<Omit<ListBoxProps<T>, "children">>, FlowComponentProps {
    filterBy?: CountryFilterFn;
    sortBy?: CountrySortFn;
}
/** @flr-generate all */
export declare const CountryOptions: React.FunctionComponent<CountryOptionsProps<object> & React.RefAttributes<HTMLDivElement>>;
export default CountryOptions;
//# sourceMappingURL=CountryOptions.d.ts.map