import { ObservableMap } from 'mobx';
import { ZodSchema, default as z } from 'zod';
export type ComponentSettingsJson = Record<string, string>;
export declare class ComponentSettings {
    readonly settings: ObservableMap<string, unknown>;
    constructor(settings?: ObservableMap<string, unknown>);
    set<T extends ZodSchema>(settingKey: string, schema: T, value: z.infer<T>): void;
    get<T extends ZodSchema>(settingKey: string, schema: T): z.infer<T>;
    clear(settingKey: string): void;
    get asJson(): ComponentSettingsJson;
    static fromJson(json: ComponentSettingsJson): ComponentSettings;
}
//# sourceMappingURL=ComponentSettings.d.ts.map