import { ObservableMap } from 'mobx';
import { ComponentSettings } from './ComponentSettings';
import { FlowComponentName } from '../../propTypes';
import { ZodSchema, default as z } from 'zod';
export declare class SettingsStore {
    readonly componentSettings: ObservableMap<FlowComponentName, ComponentSettings>;
    constructor(settings?: ObservableMap<keyof import('../../propTypes').FlowComponentPropsTypes, ComponentSettings>);
    set<T extends ZodSchema>(componentName: FlowComponentName, settingKey: string, schema: T, value: z.infer<T>): void;
    get<T extends ZodSchema>(componentName: FlowComponentName, settingKey: string, schema: T): z.infer<T>;
    clear(componentName: FlowComponentName, settingKey: string): void;
    get asJson(): {
        [x: string]: import('./ComponentSettings').ComponentSettingsJson;
    };
    static fromJson(json: SettingsJson): SettingsStore;
}
export type SettingsJson = SettingsStore["asJson"];
//# sourceMappingURL=SettingsStore.d.ts.map