import { PropsWithChildren, default as React } from 'react';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface SwitchProps extends PropsWithChildren<Omit<Aria.SwitchProps, "children">>, FlowComponentProps<HTMLLabelElement> {
    /**
     * Whether the label should appear before or after the switch. @default
     * "trailing"
     */
    labelPosition?: "leading" | "trailing";
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Switch: React.FunctionComponent<SwitchProps & React.RefAttributes<HTMLLabelElement>>;
export default Switch;
//# sourceMappingURL=Switch.d.ts.map