import { PropsWithChildren, default as React } from 'react';
import { PropsWithElementType } from '../../lib/types/props';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface TextProps extends PropsWithChildren, Omit<Aria.TextProps, "children" | "elementType">, PropsWithElementType<"span" | "div" | "p">, FlowComponentProps {
    emulateBoldWidth?: boolean;
    color?: "light" | "dark";
    align?: "start" | "end" | "center";
    wrap?: "wrap" | "balance" | "pretty";
    whiteSpace?: React.CSSProperties["whiteSpace"];
    wordBreak?: React.CSSProperties["wordBreak"];
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const Text: React.FunctionComponent<TextProps & React.RefAttributes<HTMLDivElement>>;
export default Text;
//# sourceMappingURL=Text.d.ts.map