import { TextFieldBaseProps } from '../TextFieldBase';
import { FlowComponentProps } from '../../lib/componentFactory/flowComponent';
import * as Aria from "react-aria-components";
export interface TextAreaProps extends Omit<TextFieldBaseProps, "input" | "ref">, Pick<Aria.TextAreaProps, "placeholder" | "rows">, FlowComponentProps<HTMLTextAreaElement> {
    /**
     * Whether the text area should grow if its content gets longer than its
     * initial height.
     */
    autoResizeMaxRows?: number;
}
/**
 * @flr-generate all
 * @flr-clear-props-context
 */
export declare const TextArea: import('react').FunctionComponent<TextAreaProps & import('react').RefAttributes<HTMLTextAreaElement>>;
export default TextArea;
//# sourceMappingURL=TextArea.d.ts.map