import { FC, RefObject } from 'react';
interface Props {
    submitHandlerResultRef: RefObject<unknown>;
}
/**
 * This effect has its own component to prevent unnecessary re-renders of the
 * entire form when the form state changes (useFormState).
 *
 * This component mimics the required effect to reset a form after submit with a
 * simpler to use callback function. See the React Hook docs about resetting
 * form on submit: https://arc.net/l/quote/zslpdgfz
 */
export declare const AfterFormSubmitEffect: FC<Props>;
export {};
//# sourceMappingURL=AfterFormSubmitEffect.d.ts.map