import { ComponentProps, ComponentType, FormEventHandler, PropsWithChildren } from 'react';
import { FieldValues, UseFormReturn } from 'react-hook-form';
export type FormOnSubmitHandler<F extends FieldValues> = Parameters<UseFormReturn<F>["handleSubmit"]>[0];
type FormComponentType = ComponentType<PropsWithChildren<{
    id: string;
    onSubmit?: FormEventHandler | FormOnSubmitHandler<never>;
}>>;
export interface FormProps<F extends FieldValues> extends Omit<ComponentProps<"form">, "onSubmit">, PropsWithChildren {
    form: UseFormReturn<F>;
    onSubmit: FormOnSubmitHandler<F>;
    formComponent?: FormComponentType;
}
export declare function Form<F extends FieldValues>(props: FormProps<F>): import("react/jsx-runtime").JSX.Element;
export default Form;
//# sourceMappingURL=Form.d.ts.map