import { FlowComponentName, FlowComponentProps as FlowComponentPropsOfName } from '../../components/propTypes';
import { ComponentType, ReactElement, RefAttributes, FunctionComponent } from 'react';
import { PropsWithTunnel } from '../types/props';
type RefType<T> = T extends RefAttributes<infer R> ? R : undefined;
export interface FlowComponentProps<R = HTMLDivElement> extends PropsWithTunnel, RefAttributes<R> {
    wrapWith?: ReactElement;
}
type FlowComponentImplementationProps<C extends FlowComponentName> = Omit<FlowComponentPropsOfName<C>, keyof FlowComponentProps> & RefAttributes<RefType<FlowComponentPropsOfName<C>>>;
type FlowComponentImplementationType<C extends FlowComponentName> = ComponentType<FlowComponentImplementationProps<C>>;
type FlowComponentType<C extends FlowComponentName> = FunctionComponent<FlowComponentPropsOfName<C> & RefAttributes<RefType<FlowComponentPropsOfName<C>>>>;
export declare function flowComponent<C extends FlowComponentName>(componentName: C, ImplementationComponentType: FlowComponentImplementationType<C>): FlowComponentType<C>;
export {};
//# sourceMappingURL=flowComponent.d.ts.map