type OpenStateHandler = () => void;
type DisposerFn = () => void;
export interface OverlayControllerOptions {
    isDefaultOpen?: boolean;
    onOpen?: OpenStateHandler;
    onClose?: OpenStateHandler;
}
export declare class OverlayController {
    isOpen: boolean;
    private onOpenHandlers;
    private onCloseHandlers;
    constructor(options?: OverlayControllerOptions);
    static useNew(options?: OverlayControllerOptions): OverlayController;
    addOnOpen(handler: OpenStateHandler): DisposerFn;
    addOnClose(handler: OpenStateHandler): DisposerFn;
    private executeOnClose;
    private executeOnOpen;
    open(): void;
    close(): void;
    toggle(): void;
    setOpen(to: boolean): void;
    useIsOpen(): boolean;
}
export {};
//# sourceMappingURL=OverlayController.d.ts.map