import { Context, FC, PropsWithChildren } from 'react';
export interface ReactAriaControlledValueFixProps extends PropsWithChildren {
    inputContext: Context<any>;
    props: unknown;
}
/**
 * React Aria (accidentally?!) enforces controlled inputs by always setting the
 * value prop on Inputs and TextAreas with its context props API. This component
 * also uses this API to only unset the value prop. Furthermore setting an input
 * value is finally done by directly on the DOM element.
 *
 * https://github.com/adobe/react-spectrum/blob/main/packages/%40react-aria/textfield/src/useTextField.ts#L182
 * https://github.com/adobe/react-spectrum/blob/main/packages/%40react-aria/numberfield/src/useNumberField.ts#L206
 */
export declare const ReactAriaControlledValueFix: FC<ReactAriaControlledValueFixProps>;
//# sourceMappingURL=ReactAriaControlledValueFix.d.ts.map